# EventHttpRequest::findHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::findHeader — Finds the value belonging a header

### 说明

public EventHttpRequest::findHeader( string `$key` , string `$type` ): void

Finds the value belonging a header.

### 参数

`key`

  The header name.

`type`

  One of `EventHttpRequest::*_HEADER` constants.

### 返回值

Returns `null` if header not found.

### 参见

- EventHttpRequest::addHeader() - Adds an HTTP header to the headers of the request

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open